Opened 12 years ago

Closed 10 years ago

#3728 closed defect (invalid)

No data written on writeBlock

Reported by: anonymous Owned by: Isaac Richards
Priority: minor Milestone: unknown
Component: mythtv Version: unknown
Severity: medium Keywords:
Cc: Ticket locked: no

Description

2007-07-14 21:38:11.860 MythSocket?(aa8aad98:26): writeStringList: No data written on writeBlock

getting that error about every 50 seconds and the frontend claims the backend is down mythweb also complains about an unexpected value when talking to the backend

i'll attach the log and a patch i made to increase debuging in what looks like the affected area

Attachments (2)

nodatawriten (5.0 KB) - added by clever@… 12 years ago.
log file
socketpatch.txt (1.2 KB) - added by clever@… 12 years ago.

Download all attachments as: .zip

Change History (13)

Changed 12 years ago by clever@…

Attachment: nodatawriten added

log file

Changed 12 years ago by clever@…

Attachment: socketpatch.txt added

comment:1 Changed 12 years ago by anonymous

Did some solve this?

I am getting the same error (ever ~ 40s):

2007-10-01 12:20:30.323 GetRecordBasename? found no entry 2007-10-01 12:21:11.013 MythSocket?(8372d08:16): writeStringList: No data written on writeBlock 2007-10-01 12:21:53.576 MythSocket?(8372d08:16): writeStringList: No data written on writeBlock 2007-10-01 12:21:53.577 GetRecordBasename? found no entry 2007-10-01 12:22:32.699 MythSocket?(8372d08:16): writeStringList: No data written on writeBlock 2007-10-01 12:23:12.706 MythSocket?(8372d08:16): writeStringList: No data written on writeBlock 2007-10-01 12:23:12.708 GetRecordBasename? found no entry

only mythbackend restart helps.

comment:2 Changed 12 years ago by danielk

Status: newinfoneeded_new

does this happen in svn head?

comment:3 Changed 12 years ago by stuartm

Resolution: invalid
Status: infoneeded_newclosed

Requested info not supplied after 30 days.

comment:4 Changed 11 years ago by jose.bandos@…

Resolution: invalid
Status: closednew

This happens to me on mythbuntu 8.04 (using 0.21-fixes). Googling around only allowed me to find more people with the same problem on mythbuntu and mythdora.

comment:5 Changed 11 years ago by anonymous

i have this same problem on fedora core 8 running mythtv 0.21-192? has anyone figured this out??

comment:6 Changed 11 years ago by cwsmith

here is a copy of my servers backend log before it started to happening i have been in mythtv-users channel and some suggestions were that ext3 was cauing an i/o problem so i went to an XFS filesystem also suggested that mysqld binary logging was enabled its not enabled on this box, also that dma was not enabled it is enabled. and this has happened again :(

below is a copy of my mythbackend.log file just before it has happened

also its important to know that once these errors start happening i get 642 pages plug until the backend is restarted before they quit thanks

2008-10-14 08:55:46.330 UPnpMedia: BuildMediaMap Done. Found 223 objects
2008-10-14 09:04:00.080 Reschedule requested for id 0.
2008-10-14 09:04:34.119 Scheduled 956 items in 33.9 = 0.00 match + 33.92 place
2008-10-14 09:04:34.934 TVRec(1): ASK_RECORDING 1 24 0 0
2008-10-14 09:05:02.815 TVRec(1): Changing from None to RecordingOnly
2008-10-14 09:05:02.841 TVRec(1): HW Tuner: 1->1
2008-10-14 09:05:04.721 ret_pid(0) child(25045) status(0x0)
2008-10-14 09:05:05.723 ret_pid(0) child(25045) status(0x0)
2008-10-14 09:05:06.724 ret_pid(25045) child(25045) status(0x0)
2008-10-14 09:05:06.727 External Tuning program exited with no error
2008-10-14 09:05:07.052 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 09:05:07.104 Started recording: Ratatouille: channel 10831 on cardid 1, sourceid 1
2008-10-14 09:10:05.898 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 09:25:06.113 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 09:25:48.385 UPnpMedia: BuildMediaMap VIDEO scan starting in :/video/videos:
2008-10-14 09:25:48.900 UPnpMedia: BuildMediaMap Done. Found 223 objects
2008-10-14 09:40:06.365 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 09:55:06.591 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 09:55:55.956 UPnpMedia: BuildMediaMap VIDEO scan starting in :/video/videos:
2008-10-14 09:55:56.471 UPnpMedia: BuildMediaMap Done. Found 223 objects
2008-10-14 10:10:06.851 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 10:25:07.082 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 10:26:00.550 UPnpMedia: BuildMediaMap VIDEO scan starting in :/video/videos:
2008-10-14 10:26:01.071 UPnpMedia: BuildMediaMap Done. Found 223 objects
2008-10-14 10:40:07.325 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 10:55:07.548 AutoExpire: CalcParams(): Max required Free Space: 2.0 GB w/freq: 15 min
2008-10-14 10:56:07.135 UPnpMedia: BuildMediaMap VIDEO scan starting in :/video/videos:
2008-10-14 10:56:07.666 UPnpMedia: BuildMediaMap Done. Found 223 objects
2008-10-14 11:00:00.246 TVRec(1): Changing from RecordingOnly to None
2008-10-14 11:00:00.290 Finished recording Ratatouille: channel 10831
2008-10-14 11:00:00.532 Finished recording Ratatouille: channel 10831
2008-10-14 11:00:01.905 Reschedule requested for id 0.
2008-10-14 11:00:03.091 Using runtime prefix = /usr
2008-10-14 11:00:03.239 Unable to read configuration file mysql.txt
2008-10-14 11:00:03.356 Empty LocalHostName.
2008-10-14 11:00:03.434 Using localhost value of mythtv.niceguyscomputer.com
2008-10-14 11:00:03.669 New DB connection, total: 1
2008-10-14 11:00:03.875 Connected to database 'mythconverg' at host: localhost
2008-10-14 11:00:04.073 Closing DB connection named 'DBManager0'
2008-10-14 11:00:04.078 Connected to database 'mythconverg' at host: localhost
2008-10-14 11:00:04.193 New DB connection, total: 2
2008-10-14 11:00:04.275 Connected to database 'mythconverg' at host: localhost
2008-10-14 11:00:04.295 Current Schema Version: 1214
2008-10-14 11:00:07.262 AFD: Opened codec 0x9058aa0, id(MPEG2VIDEO) type(Video)
2008-10-14 11:00:07.276 AFD: codec MP2 has 2 channels
2008-10-14 11:00:07.279 AFD: Opened codec 0x9058e20, id(MP2) type(Audio)
2008-10-14 11:00:08.611 Preview: Grabbed preview '/video/video/10831_20081014090500.mpg' 480x480@64s
2008-10-14 11:00:10.438 Scheduled 951 items in 8.5 = 0.01 match + 8.51 place
2008-10-14 11:08:32.015 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:08:37.254 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:08:42.542 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:08:47.773 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:08:53.013 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:08:58.251 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:09:03.527 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:09:08.787 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:09:14.028 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock
2008-10-14 11:09:19.262 MythSocket(b2aaa608:16): writeStringList: No data written on writeBlock

comment:7 Changed 11 years ago by davez0r

My install is doing the same. Mythbuntu 8.10 MythTV 0.21.2008.0304-1

2008-12-22 19:06:42.826 MythSocket?(23a0e40:19): writeStringList: No data written on writeBlock

This message repeats every 5 seconds or so. Same symptoms- the frontend goes non-responsive and sometimes cannot connect to the backend. A restart fixes the problem temporarily.

comment:8 Changed 11 years ago by KrizzE

I have the same issue on Ubuntu 8.10. I inserted a new dvb-c card recently, but it worked fine until now.

comment:9 Changed 11 years ago by jmorrow

For me, this problem appeared when I tried turning on the "Delete Files Slowly" flag. Deleting a file or two on any frontend would cause the trouble. Turning the "Delete Files Slowly" flag back off made the problem go away for me.

v0.21, running on debian etch

comment:10 Changed 10 years ago by laga

Status: newinfoneeded_new

Repeating Danielks question: does this happen with head?

comment:11 Changed 10 years ago by robertm

Resolution: invalid
Status: infoneeded_newclosed

No information provided after multiple queries about trunk. Re-open against trunk or .22 when released if it occurs there.

Note: See TracTickets for help on using tickets.